Bug 540385 - SELinux is preventing /usr/sbin/gpsd "sys_tty_config" access.
Summary: SELinux is preventing /usr/sbin/gpsd "sys_tty_config" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:fd5b24987ac...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-23 08:58 UTC by ssabchew
Modified: 2009-12-02 04:41 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:41:10 UTC


Attachments (Terms of Use)

Description ssabchew 2009-11-23 08:58:39 UTC
Summary:

SELinux is preventing /usr/sbin/gpsd "sys_tty_config" access.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by gpsd. It is not expected that this access is
required by gpsd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:gpsd_t:s0
Target Context                system_u:system_r:gpsd_t:s0
Target Objects                None [ capability ]
Source                        gpsd
Source Path                   /usr/sbin/gpsd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gpsd-2.39-5.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.5-127.fc12.x86_64 #1 SMP Sat Nov 7 21:11:14
                              EST 2009 x86_64 x86_64
Alert Count                   1
First Seen                    Mon 23 Nov 2009 10:48:16 AM EET
Last Seen                     Mon 23 Nov 2009 10:48:16 AM EET
Local ID                      688ff299-5f8a-412f-abfa-c1984a611a6a
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258966096.464:17): avc:  denied  { sys_tty_config } for  pid=1660 comm="gpsd" capability=26 scontext=system_u:system_r:gpsd_t:s0 tcontext=system_u:system_r:gpsd_t:s0 tclass=capability

node=(removed) type=SYSCALL msg=audit(1258966096.464:17): arch=c000003e syscall=16 success=yes exit=0 a0=1 a1=5401 a2=7fff51831bc0 a3=7fff518322b0 items=0 ppid=1659 pid=1660 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="gpsd" exe="/usr/sbin/gpsd" subj=system_u:system_r:gpsd_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,gpsd,gpsd_t,gpsd_t,capability,sys_tty_config
audit2allow suggests:

#============= gpsd_t ==============
allow gpsd_t self:capability sys_tty_config;

Comment 1 Daniel Walsh 2009-11-23 16:58:40 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:40:34 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:23:53 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:34:59 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.